#!/bin/sh

# run this as root from directory ressources
#

xdg-mime install --mode system notiznetz-mimetype.xml

# xdg icon-installer refuses to do so with svg, so we do it by hand
cp notiznetz-icon.svg /usr/share/icons/hicolor/scalable/apps/notiznetz.svg
# and trigger re-hashing of the entries
touch /usr/share/icons/hicolor

# install our applications in the systems application-list
desktop-file-install --dir /usr/share/applications --rebuild-mime-info-cache ./notiznetz.desktop

# currently we need to do this by hand
echo "if you want the nzz-files to be clickable in your system edit"
echo /usr/share/applications/defaults.list
echo "and add the line below manually to the section [Default Appliactions]"
echo ""
echo "application/notiznetz=notiznetz.desktop"

# line="application/notiznetz=notiznetz.desktop"
# echo $line >> /usr/share/applications/defaults.list
